# @apollo/pedia

## 4.1.3

### Patch Changes

- c85d29f: - Update router and federation definitions
  - Update `usageInstruction` type from string to array
- 1428bf3: Add API key definitions

## 4.1.2

### Patch Changes

- 4800060: Correct variant definition

## 4.1.1

### Patch Changes

- 9986bec: Add contexts to avoid for entity

## 4.1.0

### Minor Changes

- 532a114: adds provider to deduplicate highlights within a page

## 4.0.1

### Patch Changes

- 7518904: Add contextsToAvoid for "document" term

## 4.0.0

### Patch Changes

- Updated dependencies [821471f]
  - @apollo/chakra-helpers@2.1.0

## 3.4.0

### Minor Changes

- 8fe1e4e: Update Algolia indexing script to include text, url, and categories attributes

## 3.3.5

### Patch Changes

- 7bca9f3: Add API schema definition

## 3.3.4

### Patch Changes

- 380aa36: Update GraphOS router usage instructions

## 3.3.3

### Patch Changes

- 8e0afbe: Open link in new tab

## 3.3.2

### Patch Changes

- 46ea00e: Add query plan, caching, and cloud routing terms

## 3.3.1

### Patch Changes

- f5d960e: Add schema proposal terms

## 3.3.0

### Minor Changes

- 71b2751: Added `maxHighlightExtension` parameter (default 3) to capture plural words
- 78eb2be: Update Algolia indexing script

### Patch Changes

- 00e6d4a: Update client terms
- 33ccbed: Add entity definition
- 6ca94f8: Add context to avoid for operation term
- Updated dependencies [10aa0c0]
  - @apollo/chakra-helpers@2.0.1

## 3.2.1

### Patch Changes

- f64c334: Update client terms

## 3.2.0

### Minor Changes

- eb442fd: new brand colors for apollopedia

## 3.1.0

### Minor Changes

- 85ccd0e: Adds attribute for avoiding highlighting terms in certain contexts
- af3d72f: Add custom text for learn more links

## 3.0.0

### Patch Changes

- Updated dependencies [afbde80]
  - @apollo/chakra-helpers@2.0.0

## 2.1.2

### Patch Changes

- e1eb357: Add more labels and related terms to Apollopedia

## 2.1.1

### Patch Changes

- 07582b2: Correct term symlink

## 2.1.0

### Minor Changes

- 4d9d3d1: Update terms

## 2.0.2

### Patch Changes

- 362c58b: refactor term finding logic

## 2.0.1

### Patch Changes

- 12181e5: lowercase the terms keys

## 2.0.0

### Major Changes

- 46ecd76: add attributes

### Patch Changes

- 6aafede: update apollopedia link color

## 1.5.0

### Minor Changes

- 4b4aa21: Remove response and request terms

## 1.4.0

### Minor Changes

- d1db95b: Add subscription terms and request + response

## 1.3.0

### Minor Changes

- ab75f69: Add terms: graph ref, persisted queries, persisted query list, persisted query manifest

### Patch Changes

- Updated dependencies [dd66192]
  - @apollo/chakra-helpers@1.7.4

## 1.2.0

### Minor Changes

- 92495d7: highlight key terms one time per element

### Patch Changes

- Updated dependencies [92495d7]
  - @apollo/chakra-helpers@1.7.3

## 1.1.1

### Patch Changes

- 3aac326: check for definition before using it

## 1.1.0

### Minor Changes

- 4d2ac2a: make the highlighter return a fragment

## 1.0.3

### Patch Changes

- 697f092: Normalizes capitalization on term click GA event

## 1.0.2

### Patch Changes

- 4b6d132: add link style

## 1.0.1

### Patch Changes

- c200818: build the thing
