---
labels:
  - Apollo
  - client
relatedTerms:
  - GraphQL client
usageInstructions:
  - Do not use "Apollo Android". (This is the former name).
  - You can also refer to "Apollo Client for Kotlin" in situations where additional verbosity is helpful.
  - Do not refer to as simply "Client".
  - Use `ApolloClient` when referring to the class/object.
internalOnly: false
learnMore: https://www.apollographql.com/docs/kotlin
learnMoreText: See Apollo Kotlin docs
---

An [open-source library](https://github.com/apollographql/apollo-kotlin) for client-side state management and GraphQL operation handling. Apollo Kotlin is designed primarily with Android in mind, but you can use it in any Java/Kotlin app, including multiplatform apps.
