---
labels:
  - GraphQL
internalOnly: false
learnMore: https://graphql.com/learn/interfaces-and-unions/#fragments
learnMoreText: Learn more about fragments
---

A selection set of fields that can be shared between multiple query operations. For example:

```graphql
fragment UserData on User {
  id: ID!
  firstName: String!
  lastName: String!
}

query GetUsers {
  allUsers {
    ...UserData
  }
}
```
