---
labels:
  - Apollo
  - server
relatedTerms:
  - Apollo Server
  - Apollo Router
usageInstructions:
  - Do not refer to "the Gateway" or "the Apollo Gateway."\
  - Prefer package name `@apollo/gateway` or lowercase "gateway" instead.
internalOnly: false
learnMore: https://www.apollographql.com/docs/apollo-server/using-federation/api/apollo-gateway/
learnMoreText: Visit the @apollo/gateway API reference
---

A package that extends Apollo Server to act as a gateway for federated architecture. For [improved performance](https://www.apollographql.com/blog/announcement/backend/apollo-router-our-graphql-federation-runtime-in-rust/), use the [Apollo Router](https://www.apollographql.com/docs/router/) instead.
