---
labels:
  - Apollo
  - client
relatedTerms:
  - GraphQL client
usageInstructions:
  - The term Apollo Client refers specifically to the web library.
  - Do not refer to it simply as "the Client".
  - Use `ApolloClient` when referring to the class/object.
  - When referring to the libraries for iOS or Kotlin, use "Apollo iOS" or "Apollo Kotlin".
  - You can use "Apollo Client (for) Web" to differentiate between the web library and the others.
internalOnly: false
learnMore: https://www.apollographql.com/docs/react/
learnMoreText: See Apollo Client docs
---

An [open-source library](https://github.com/apollographql/apollo-client) for client-side state management and GraphQL operation handling in Javascript/Typescript. Apollo Client is a fully featured caching GraphQL client with integrations for React, Angular, and more.
