---
labels:
  - Apollo
  - router
relatedTerms:
  - GraphOS Router
  - router
usageInstructions:
  - Prefer GraphOS Router unless specifically referring to the free-and-open standalone binary.
  - Use with “the.” See example usage below.
  - In educational content, you may refer to the Apollo Router Core as "the router" (uncapitalized) after a nearby preceding use of "the Apollo Router Core".
exampleUsage: Since the **Apollo Router Core** is source-available, you can use its codebase without connecting it to GraphOS."
internalOnly: false
learnMore: https://github.com/apollographql/router
learnMoreText: Visit the Apollo Router Core repository
---

Apollo’s free-and-open implementation of a routing runtime for supergraphs. Serves GraphQL requests, supports GraphQL Federation, and powers GraphOS Routers.
