---
labels:
  - GraphQL
internalOnly: false
learnMore: https://www.apollographql.com/docs/apollo-server/data/resolvers/
learnMoreText: Learn more about resolvers
---

A function that populates data for a particular field in a GraphQL schema. For example:

```js disableCopy
const resolvers = {
  Query: {
    author(root, args, context, info) {
      return find(authors, { id: args.id });
    },
  },
};
```
