---
labels:
  - Apollo
relatedTerms:
  - subgraph server
  - supergraph
  - GraphQL server
  - Apollo Server
usageInstructions:
  - Do not capitalize.
exampleUsage: Our team maintains the Product **subgraph** which contains all product-related types and fields
internalOnly: false
learnMore: https://www.apollographql.com/docs/federation/building-supergraphs/subgraphs-overview/
learnMoreText: Learn more about subgraphs
---

A GraphQL service in a federated GraphQL architecture. A subgraph acts as a module for a supergraph. Most popular GraphQL server libraries are [subgraph-compatible](https://www.apollographql.com/docs/federation/building-supergraphs/supported-subgraphs).
